package Task

import (
	_ "github.com/go-sql-driver/mysql"
	"time"
)

// 模板
type Task struct {
	Id                  int    `orm:"column(ID);size(11);auto;pk"`
	T_class             int    `orm:"size(200);default(0)"` // 分类id
	T_task_id           string `orm:"size(256);null"`       // 任务ID
	T_uuid              string `orm:"size(256);null"`       // 用户 UUID
	T_name              string `orm:"size(256);null"`       // 标题
	T_VerifyTemplate_id string `orm:"size(256);null"`       // 模板id
	T_deadline          string `orm:"size(256);null"`       // 截止时间
	T_scheme            string `orm:"size(256);null"`       // 实施方案 负责人UUID
	T_collection        string `orm:"size(256);null"`       // 数据采集 负责人UUID
	T_reporting         string `orm:"size(256);null"`       // 报告编写 负责人UUID
	T_delivery          string `orm:"size(256);null"`       // 交付审核 负责人UUID
	T_scheme_state      int    `orm:"size(2);default(0)"`   // 实施方案 状态 0 未完成 1 已完成
	T_collection_state  int    `orm:"size(2);default(0)"`   // 数据采集 状态 0 未完成 1 已完成 2 采集中 3 已采集-无数据
	T_reporting_state   int    `orm:"size(2);default(0)"`   // 报告编写 状态 0 未完成 1 已完成
	T_delivery_state    int    `orm:"size(2);default(0)"`   // 交付审核 状态 0 未完成 1 已完成 2 采集中

	T_doc1 string `orm:"type(text);null"` // 封面
	T_pdf1 string `orm:"type(text);null"` // 封面
	T_doc2 string `orm:"type(text);null"` // 报告
	T_pdf2 string `orm:"type(text);null"` // 报告
	T_doc3 string `orm:"type(text);null"` // 证书
	T_pdf3 string `orm:"type(text);null"` // 证书

	T_Show     int       `orm:"size(2);default(1)"`                                    // 0 隐藏   1 公开
	T_Visit    int       `orm:"size(200);default(0)"`                                  // 浏览量
	T_State    int       `orm:"size(2);default(1)"`                                    // 0 删除   1 正常
	CreateTime time.Time `orm:"column(create_time);type(timestamp);null;auto_now_add"` //auto_now_add 第一次保存时才设置时间
	UpdateTime time.Time `orm:"column(update_time);type(timestamp);null;auto_now"`     //auto_now 每次 model 保存时都会对时间自动更新
}
